## apedemux apedemux |

## Types and Values

struct | GstApeDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTagDemux
                        ╰── GstApeDemux

## Description

apedemux accepts data streams with APE tags at the start or at the end (or both). The mime type of the data between the tag blocks is detected using typefind functions, and the appropriate output mime type set on outgoing buffers.

The element is only able to read APE tags at the end of a stream from a seekable stream, ie. when get_range mode is supported by the upstream elements. If get_range operation is available, apedemux makes it available downstream. This means that elements which require get_range mode, such as wavparse or musepackdec, can operate on files containing APE tag information.

### Example launch line

    1
    gst-launch-1.0 -t filesrc location=file.mpc ! apedemux ! fakesink

This pipeline should read any available APE tag information and output it. The contents of the file inside the APE tag regions should be detected, and the appropriate mime type set on buffers produced from apedemux.

## Synopsis

### Element Information

plugin | apetag
author | Tim-Philipp Müller <tim centricular net>
class | Codec/Demuxer/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-apetag

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstApeDemux

    struct GstApeDemux;